=== debian/changelog ===
scap-security-guide (0.1.65-1) unstable; urgency=medium

  * New upstream release.
  * Remove Philippe Thierry as uploader.
  * Drop all patches, included upstream.
  * Update installed files in packages.
  * Update Standards-Version to 4.6.2, no changes needed.
  * Explicitly disable OVAL schematron validation.
  * Add all SCAP guides in package description.
  * When running tests, only output on failure.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 20 Dec 2022 10:54:05 +0100
