## scap-security-guide 0.1.68

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
 
 set(SSG_MAJOR_VERSION 0)
 set(SSG_MINOR_VERSION 1)
-set(SSG_PATCH_VERSION 65)
+set(SSG_PATCH_VERSION 68)
 set(SSG_VERSION "${SSG_MAJOR_VERSION}.${SSG_MINOR_VERSION}.${SSG_PATCH_VERSION}")
 
 set(SSG_VENDOR "ssgproject" CACHE STRING "Specify the XCCDF 1.2 vendor string.")
@@ -106,6 +106,7 @@
 set(SSG_SHARED_REFS "${SSG_SHARED}/references")
 set(SSG_SHARED_TRANSFORMS "${SSG_SHARED}/transforms")
 set(SSG_BUILD_SCRIPTS "${CMAKE_SOURCE_DIR}/build-scripts")
+set(SSG_UTILS_SCRIPTS "${CMAKE_SOURCE_DIR}/utils")
 
 message(STATUS "SCAP Security Guide ${SSG_VERSION}")
 message(STATUS "(see ${CMAKE_SOURCE_DIR}/docs/manual/developer_guide.adoc for build instructions)")
@@ -115,11 +116,11 @@
 # discourage our users from using them
 if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
     message(FATAL_ERROR "In-source builds are not supported! Please use out of source builds:\n"
-       "$ cd content\n"
-       "$ rm CMakeCache.txt\n"
-       "$ cd build\n"
-       "$ cmake ../\n"
-       "$ make -j4"
+        "$ cd content\n"
+        "$ rm CMakeCache.txt\n"
+        "$ cd build\n"
+        "$ cmake ../\n"
+        "$ make -j4"
     )
 endif()
 
@@ -136,6 +137,7 @@
 find_python_module(mypy)
 find_python_module(openpyxl)
 find_python_module(pandas)
+find_python_module(cmakelint)
 
 # sphinx documentation requirements
 find_python_module(sphinx)
@@ -188,11 +190,6 @@
     message(SEND_ERROR "xmllint is required!")
 endif()
 
-find_program(XMLWF_EXECUTABLE NAMES xmlwf)
-if (NOT XMLWF_EXECUTABLE)
-    message(SEND_ERROR "xmlwf is required!")
-endif()
-
 find_program(SED_EXECUTABLE NAMES sed)
 if (NOT SED_EXECUTABLE)
     message(SEND_ERROR "sed is required!")
@@ -201,3 +198,4 @@
 find_program(SHELLCHECK_EXECUTABLE NAMES shellcheck)
 find_program(LINKCHECKER_EXECUTABLE NAMES linkchecker)
 find_program(BATS_EXECUTABLE NAMES bats)
+find_program(GREP_EXECUTABLE NAMES grep)
