=== products/ol8/CMakeLists.txt ===
--- 
+++ 
@@ -14,4 +14,4 @@
 ssg_build_html_profile_table("table-${PRODUCT}-nistrefs-stig" "${PRODUCT}" "stig" "nist")
 
 ssg_build_html_stig_tables(${PRODUCT})
-ssg_build_html_stig_tables_per_profile( ${PRODUCT} "stig")
+ssg_build_html_stig_tables_per_profile(${PRODUCT} "stig")
