=== products/sle12/CMakeLists.txt ===
--- 
+++ 
@@ -7,5 +7,5 @@
 
 ssg_build_product(${PRODUCT})
 
-ssg_build_html_stig_tables(${PRODUCT} )
-ssg_build_html_stig_tables_per_profile( ${PRODUCT} "stig")
+ssg_build_html_stig_tables(${PRODUCT})
+ssg_build_html_stig_tables_per_profile(${PRODUCT} "stig")
