=== debian/changelog ===
scap-security-guide (0.1.68-1) unstable; urgency=medium

  * New upstream release.
  * Drop openscap-common and expat as BD.
  * When we configure the package, be explicit about what we don't build.
  * Update installed files.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 19 Jun 2023 18:49:15 +0200
