=== debian/control ===
--- 
+++ 
@@ -5,9 +5,7 @@
 Uploaders: Håvard F. Aasen <havard.f.aasen@pfft.no>,
 Build-Depends: cmake,
                debhelper-compat (=13),
-               expat,
                libxml2-utils,
-               openscap-common,
                openscap-scanner,
                python3,
                python3-jinja2,
